Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.store
Class LayoutType

    java.lang.Object
      com.hp.hpl.jena.sparql.util.Symbol
          com.hp.hpl.jena.sdb.store.LayoutType

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.util.Named

    public class LayoutType

extends com.hp.hpl.jena.sparql.util.Symbol
implements com.hp.hpl.jena.sparql.util.Named

Field Summary
`static LayoutType` | `LayoutRDB`
`static LayoutType` | `LayoutSimple`
`static LayoutType` | `LayoutTripleNodesHash`
`static LayoutType` | `LayoutTripleNodesIndex`

Method Summary
`static List<String>` | `allNames()`
`static List<LayoutType>` | `allTypes()`
`static LayoutType` | `fetch(String layoutTypeName)`
`String` | `getName()`
`static void` | `register(LayoutType layoutType)`
`static void` | `register(String name)`
`static void` | `registerName(String layoutName, LayoutType layoutType)`

Methods inherited from class com.hp.hpl.jena.sparql.util.Symbol
`create, create, equals, getSymbol, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LayoutTripleNodesHash

    public static final LayoutType LayoutTripleNodesHash

### LayoutTripleNodesIndex

    public static final LayoutType LayoutTripleNodesIndex

### LayoutSimple

    public static final LayoutType LayoutSimple

### LayoutRDB

    public static final LayoutType LayoutRDB

Method Detail

### fetch

    public static LayoutType fetch(String layoutTypeName)

### allNames

    public static List<String> allNames()

### allTypes

    public static List<LayoutType> allTypes()

### register

    public static void register(String name)

### register

    public static void register(LayoutType layoutType)

### registerName

    public static void registerName(String layoutName,
                                    LayoutType layoutType)

### getName

    public String getName()

  Specified by:
    `getName` in interface `com.hp.hpl.jena.sparql.util.Named`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.